### Constructor

# Gtk FilterListModel new

#### Declaration [src]

    GtkFilterListModel*
    gtk_filter_list_model_new (
      GListModel* model,
      GtkFilter* filter
    )

#### Description [src]

Creates a new `GtkFilterListModel` that will filter `model` using the given `filter`.

#### Parameters

`model` | `GListModel*`
| The model to sort.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`filter` | `GtkFilter`
| Filter.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GtkFilterListModel`
| A new `GtkFilterListModel`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.